# Class: TopoJSON

## TopoJSON

Feature format for reading and writing data in the TopoJSON format.

#### new ol.format.TopoJSON(opt_options) experimental

src/ol/format/topojsonformat.js, line 26

  Name | Type | Description
  --- | --- | ---
  `options` | optional Options.
  Name | Type | Description
  --- | --- | ---
  `defaultProjection` | ol.proj.ProjectionLike | Default projection.

### Extends

- ol.format.JSONFeature

### Methods

#### readFeatures(source){Array.<ol.Feature>} experimental

src/ol/format/topojsonformat.js, line 278

  Read all features from a TopoJSON source.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Features.

#### readProjection(object){ol.proj.Projection} experimental

src/ol/format/topojsonformat.js, line 388

  Read the projection from a TopoJSON source.

  Name | Type | Description
  --- | --- | ---
  `object` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Projection.